variables:
  - group: secrets
resources:
  repositories:
    - repository: rustinfra
      type: github
      name: rust-lang/simpleinfra
      endpoint: gnzlbg
trigger: ["master"]
pr: ["master"]

jobs:
  - job: StyleAndDocs
    pool:
      vmImage: ubuntu-18.04
    steps:
      - template: azure-install-rust.yml
      - script: LIBC_CI=1 sh ci/dox.sh
        displayName: Generate documentation
      - template: azure-configs/static-websites.yml@rustinfra
        parameters:
          deploy_dir: target/doc
